close all
clear all
clc

Lon = csvread('long.csv');
Lat= csvread('lat.csv');
lon_min=min(Lon);
lon_max=max(Lon);
lat_min=min(Lat);
lat_max=max(Lat);
inc_lon=(lon_max-lon_min)*.1;
inc_lat=(lat_max-lat_min)*.1;
figure;
xlabel('Longitude');
ylabel('Latitude');
title('GPS Path');
axis([lon_min-inc_lon lon_max+inc_lon lat_min-inc_lat lat_max+inc_lat]);
plot_google_map
pause(3);
plot(Lon(1),Lat(1),'.r','MarkerSize',20);
hold on
for i=1:1:length(Lat)-1
    x=[ Lon(i) Lon(i+1)];
    y=[Lat(i) Lat(i+1)];
    plot(x,y,'-g',...
                'LineWidth',2);
    pause(.2);
end
plot(Lon(i+1),Lat(i+1),'.b','MarkerSize',20);
